com.holonplatform.datastore.jdbc.composer.internal

## Class DefaultSQLContextParametersHandler

- java.lang.Object
- - com.holonplatform.datastore.jdbc.composer.internal.DefaultSQLContextParametersHandler

- All Implemented Interfaces:
    SQLContextParametersHandler, Serializable

      public class DefaultSQLContextParametersHandler
      extends Object
      implements SQLContextParametersHandler

  Default `SQLContextParametersHandler` implementation.
  Since:
    5.1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSQLContextParametersHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> String` | `addNamedParameter(SQLParameter<T> parameter)` Add named parameter using given `SQLParameter` definition.
    `Map<String,SQLParameter<?>>` | `getNamedParameters()` Get the named parameters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLContextParametersHandler

      `create`

- - ### Constructor Detail

    - #### DefaultSQLContextParametersHandler

          public DefaultSQLContextParametersHandler()

  - ### Method Detail

    - #### addNamedParameter

          public <T> String addNamedParameter(SQLParameter<T> parameter)

      Description copied from interface: `SQLContextParametersHandler`
      Add named parameter using given `SQLParameter` definition.
      Specified by:
        `addNamedParameter` in interface `SQLContextParametersHandler`
      Type Parameters:
        `T` - Parameter expression type
      Parameters:
        `parameter` - Parameter definition (not null)
      Returns:
        Generated parameter name

    - #### getNamedParameters

          public Map<String,SQLParameter<?>> getNamedParameters()

      Description copied from interface: `SQLContextParametersHandler`
      Get the named parameters.
      Specified by:
        `getNamedParameters` in interface `SQLContextParametersHandler`
      Returns:
        A map of parameter names and the associated `SQLParameter` definition, empty if none

Copyright © 2019 The Holon Platform. All rights reserved.